if vim.version().minor >= 8 then
  local function status_line()
    local file_name = "%-.32t"
    local modified = " %-m"
    local right_align = "%="
    local line_no = "%10([%l/%L%)]"
    local pct_thru_file = "%5p%%"

    return string.format(
      "%s%s%s%s%s",
      file_name,
      modified,
      right_align,
      line_no,
      pct_thru_file
    )
  end

  vim.opt.laststatus = 3
  -- vim.opt.winbar = status_line()
  require('lualine').setup({
    options = { theme = 'gruvbox-baby' },
    sections = { lualine_c = { 'getcwd', { 'filename', path = 1, file_status = true } } },
    inactive_sections = { lualine_c = { 'getcwd', { 'filename', path = 1, file_status = true } } },
    globalstatus = true,
    winbar = {
      lualine_a = {},
      lualine_b = {},
      lualine_c = { { 'filename', path = 1, file_status = true } },
      lualine_x = {},
      lualine_y = {},
      lualine_z = {}
    },
    inactive_winbar = {
      lualine_a = {},
      lualine_b = {},
      lualine_c = { { 'filename', path = 1, file_status = true } },
      lualine_x = {},
      lualine_y = {},
      lualine_z = {}
    },
  })
else
  require('lualine').setup({
    options = { theme = 'gruvbox-baby' },
    sections = { lualine_c = { 'filename' } },
    globalstatus = false,
    -- inactive_sections = { lualine_c = { 'filename' } },
  })
end
